# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils user versionator

MY_PV=$(replace_all_version_separators ''  )

DESCRIPTION="Update Microsoft Windows and Office without an Internet connection"
HOMEPAGE="http://www.wsusoffline.net/"
SRC_URI="http://download.wsusoffline.net/wsusoffline${MY_PV}.zip"
LICENSE="GPL-3+"
SLOT="0"

KEYWORDS="~x86 ~amd64 ~arm"
IUSE=""

RESTRICT="strip"

DEPEND="app-text/xmlstarlet
	net-misc/wget
	app-arch/cabextract
	app-crypt/md5deep"

RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}

pkg_setup() {
	enewgroup wsus
	enewuser wsus -1 /bin/bash /opt/wsusoffline wsus
}

#src_configure() {
#}

#src_compile() {
#}

src_install() {
	insinto /opt/wsusoffline
	doins -r *

	newbin "${FILESDIR}"/wsusoffline.bin wsusoffline
	newconfd "${FILESDIR}"/wsusoffline.confd wsusoffline
	insinto /etc/cron.d
	newins "${FILESDIR}"/wsusoffline.cron wsusoffline
	fowners wsus:wsus /opt/wsusoffline
	fperms +x /opt/wsusoffline/sh/DownloadUpdates.sh
}
