# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

inherit eutils user toolchain-funcs multilib

DESCRIPTION="Report faked system time to programs"
HOMEPAGE="http://www.code-wizards.com/projects/libfaketime/ https://github.com/wolfcw/libfaketime/"
SRC_URI="http://www.code-wizards.com/projects/libfaketime/libfaketime-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"

S="${WORKDIR}"/libfaketime-${PV}

pkg_preinst() {
	enewuser nx -1 -1 /usr/NX/home/nx
}

src_prepare() {
	tc-export CC
}

src_compile() {
	emake CC="$(tc-getCC)" LIBDIRNAME="/$(get_libdir)" PREFIX=/usr/NX
}

src_install() {
	into /usr/NX
	newbin src/faketime nxfaketime
	dolib.so src/libfaketime*.so.*

	mkdir -p ${D}/usr/NX/home/nx
	echo "2012-05-19 12:24:45" > ${D}/usr/NX/home/nx/.faketimerc
}
