# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WX_GTK_VER="2.8"

inherit eutils wxwidgets

DESCRIPTION="OpenNX is an OSS drop-in replacement for Nomachine's nxclient"
HOMEPAGE="http://sourceforge.net/projects/opennx/"
SRC_URI="mirror://sourceforge/opennx/opennx/CI-source/${P}.tar.gz"
#http://sourceforge.net/projects/opennx/files/opennx/CI-source/opennx-0.16.0.729.tar.gz/download
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

DEPEND="x11-libs/wxGTK:2.8
	dev-libs/opensc
	net-print/cups
	dev-libs/libusb
	net-fs/samba[client]
	net-misc/nx"

RDEPEND="${DEPEND}
	!net-misc/nxclient"

PROVIDE="virtual/nxclient"

S="${WORKDIR}/opennx-0.16"

src_configure() {
	need-wxwidgets unicode

	econf \
		--with-wx-config="${WX_CONFIG}" || die "econf failed"
}

src_install() {
	make DESTDIR="${D}" install || die "make install failed"
	# nxssh expects the client to be named nxclient so create a symlink
	# to make this hardcoded app happy
	dosym opennx /usr/bin/nxclient || die "failed creating symlink"
	dodoc ChangeLog
}
