# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/gentoo-sources/gentoo-sources-3.4.67.ebuild,v 1.1 2013/10/23 11:02:49 tomwij Exp $

EAPI="5"

inherit versionator
MY_PV_PRE="$(get_version_component_range 1-3)"
MY_PV_POST="$(get_version_component_range 4-5)"
MY_PV="${MY_PV_PRE}-${MY_PV_POST}"

ETYPE="sources"
EXTRAVERSION="-omap4-$(get_version_component_range 4-5)"
inherit kernel-2
detect_version
detect_arch
KERNEL_URI="http://ports.ubuntu.com/ubuntu-ports/pool/main/l/linux-ti-omap4/linux-ti-omap4_${MY_PV_PRE/7/0}-${MY_PV_POST}.tar.gz -> linux-ti-omap4_${MY_PV_PRE}-${MY_PV_POST}.tar.gz"


KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
HOMEPAGE="https://launchpad.net/ubuntu/+source/linux-ti-omap4"
IUSE=""

DESCRIPTION="Full omap4 sources including some Gentoo patches for the ti omap4 ${KV_MAJOR}.${KV_MINOR} kernel tree"
SRC_URI="${KERNEL_URI} http://sources.gentoo.org/cgi-bin/viewvc.cgi/linux-patches/genpatches-2.6/trunk/3.10.7/4567_distro-Gentoo-Kconfig.patch"

src_unpack() {
	einfo "converting linux-ti-omap4_${MY_PV}.tar.gz to linux-ti-omap4_${KV_MAJOR}.${KV_MINOR}.tar.xz"
	zcat ${DISTDIR}/linux-ti-omap4_${MY_PV}.tar.gz | xz > ${DISTDIR}/linux-${KV_MAJOR}.${KV_MINOR}.tar.xz
	cat ${DISTDIR}/4567_distro-Gentoo-Kconfig.patch | xz > ${DISTDIR}/patch-${PV}.xz
	ln -sf ubuntu-quantal ${WORKDIR}/linux-${KV_MAJOR}.${KV_MINOR}
	kernel-2_src_unpack
	rm ${WORKDIR}/linux-${OKV}-omap4
	mv ${WORKDIR}/ubuntu-quantal ${WORKDIR}/linux-${OKV}-omap4
	unpack_set_extraversion
}

pkg_postinst() {
	einfo "For more info on this patchset, and how to report problems, see:"
	einfo "${HOMEPAGE}"
}

pkg_postrm() {
	kernel-2_pkg_postrm
}
